public class ModifyApiRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
allowSignatureMethod
The returned description of the API.
|
String |
apiId
The name of the API.
|
String |
apiName
The description of the API.
|
String |
appCodeAuthType
Specifies whether to enable backend services.
|
String |
authType
The configuration items of API requests sent by API Gateway to the backend service.
|
Boolean |
backendEnable
auditing
|
String |
backendId
The ID of the request.
|
String |
constantParameters
The mappings between parameters of requests sent by the consumer to API Gateway and parameters of requests sent by API Gateway to the backend service.
|
String |
description
Specifies whether the API is public.
|
Boolean |
disableInternet
The ID of the backend service.
|
String |
errorCodeSamples
The configuration items of the third-party OpenID Connect authentication method.
|
String |
failResultSample
The returned description of the API.
|
Boolean |
forceNonceCheck
The AppCode authentication type supported.
|
String |
groupId
The ID of the API.
|
String |
openIdConnectConfig
The type of the two-way communication API.
|
String |
requestConfig
The parameters of API requests sent by the consumer to API Gateway.
|
String |
requestParameters
System parameter
|
String |
resultBodyModel
* Specifies whether to set DisableInternet to **true** to limit API calls to within the VPC.
|
String |
resultDescriptions
The client-side request signature method of the API.
|
String |
resultSample
The sample error codes returned by the backend service.
|
String |
resultType
The sample error response from the backend service.
|
String |
securityToken |
String |
serviceConfig
\[{"ParameterType":"Number","Required":"OPTIONAL","isHide":false,"ApiParameterName":"age","DefaultValue":"20","DemoValue":"20","Description":"age","MinValue":18,"MaxValue":100,"Location":"Head"},{"ParameterType":"String","Required":"OPTIONAL","isHide":false,"ApiParameterName":"sex","DefaultValue":"boy","DemoValue":"boy","Description":"gender","EnumValue":"boy,girl","Location":"Query"},{"ParameterType":"Number","Required":"REQUIRED","isHide":false,"ApiParameterName":"userId","MaxLength":10,"MinValue":10000000,"MaxValue":100000000,"Location":"Path"},{"ApiParameterName":"CaClientIp","ParameterLocation":{"name":"Head","orderNumber":0},"Location":"Head","ParameterType":"String","Required":"REQUIRED","Description":"Client IP"},{"ApiParameterName":"constance","ParameterLocation":{"name":"Head","orderNumber":0},"Location":"Head","ParameterType":"String","Required":"REQUIRED","DefaultValue":"constance","Description":"constance"}]
|
String |
serviceParameters
The format of the response from the backend service.
|
String |
serviceParametersMap
The sample response from the backend service.
|
String |
systemParameters
The parameters of API requests sent by API Gateway to the backend service.
|
String |
visibility
The configuration items of API requests sent by the consumer to API Gateway.
|
String |
webSocketApiType
* Specifies whether to set **ForceNonceCheck** to **true** to force the check of X-Ca-Nonce during the request.
|
| 构造器和说明 |
|---|
ModifyApiRequest() |
@NameInMap(value="AllowSignatureMethod") public String allowSignatureMethod
The returned description of the API.
@NameInMap(value="ApiId") public String apiId
The name of the API. The name must be unique within the API group. The name must be 4 to 50 characters in length. It must start with a letter and can contain letters, digits, and underscores (\_).
@NameInMap(value="ApiName") public String apiName
The description of the API. The description can be up to 180 characters in length.
@NameInMap(value="AppCodeAuthType") public String appCodeAuthType
Specifies whether to enable backend services.
@NameInMap(value="AuthType") public String authType
The configuration items of API requests sent by API Gateway to the backend service.
@NameInMap(value="BackendEnable") public Boolean backendEnable
auditing
@NameInMap(value="BackendId") public String backendId
The ID of the request.
@NameInMap(value="ConstantParameters") public String constantParameters
The mappings between parameters of requests sent by the consumer to API Gateway and parameters of requests sent by API Gateway to the backend service.
@NameInMap(value="Description") public String description
Specifies whether the API is public. Valid values:
* **PUBLIC**: Make the API public. If you set this parameter to PUBLIC, this API is displayed on the APIs page for all users after the API is published to the production environment.
* **PRIVATE**: Make the API private. Private APIs are not displayed in the Alibaba Cloud Marketplace after the API group to which they belong is made available.
@NameInMap(value="DisableInternet") public Boolean disableInternet
The ID of the backend service.
@NameInMap(value="ErrorCodeSamples") public String errorCodeSamples
The configuration items of the third-party OpenID Connect authentication method.
@NameInMap(value="FailResultSample") public String failResultSample
The returned description of the API.
@NameInMap(value="ForceNonceCheck") public Boolean forceNonceCheck
The AppCode authentication type supported. Valid values:
* DEFAULT: supported after being made available in Alibaba Cloud Marketplace
* DISABLE: not supported
* HEADER : supported only in the Header parameter
* HEADER_QUERY: supported in the Header or Query parameter
@NameInMap(value="GroupId") public String groupId
The ID of the API.
@NameInMap(value="OpenIdConnectConfig") public String openIdConnectConfig
The type of the two-way communication API. Valid values:
* **COMMON**: general APIs
* **REGISTER**: registered APIs
* **UNREGISTER**: unregistered APIs
* **NOTIFY**: downstream notification
@NameInMap(value="RequestConfig") public String requestConfig
The parameters of API requests sent by the consumer to API Gateway.
@NameInMap(value="RequestParameters") public String requestParameters
System parameter
@NameInMap(value="ResultBodyModel") public String resultBodyModel
* Specifies whether to set DisableInternet to **true** to limit API calls to within the VPC.
* If you set DisableInternet to **false**, the limit if lifted.
> If you do not set this parameter, the original value is used.
@NameInMap(value="ResultDescriptions") public String resultDescriptions
The client-side request signature method of the API. Valid values:
* HmacSHA256
* HmacSHA1,HmacSHA256
@NameInMap(value="ResultSample") public String resultSample
The sample error codes returned by the backend service.
@NameInMap(value="ResultType") public String resultType
The sample error response from the backend service.
@NameInMap(value="SecurityToken") public String securityToken
@NameInMap(value="ServiceConfig") public String serviceConfig
\[{"ParameterType":"Number","Required":"OPTIONAL","isHide":false,"ApiParameterName":"age","DefaultValue":"20","DemoValue":"20","Description":"age","MinValue":18,"MaxValue":100,"Location":"Head"},{"ParameterType":"String","Required":"OPTIONAL","isHide":false,"ApiParameterName":"sex","DefaultValue":"boy","DemoValue":"boy","Description":"gender","EnumValue":"boy,girl","Location":"Query"},{"ParameterType":"Number","Required":"REQUIRED","isHide":false,"ApiParameterName":"userId","MaxLength":10,"MinValue":10000000,"MaxValue":100000000,"Location":"Path"},{"ApiParameterName":"CaClientIp","ParameterLocation":{"name":"Head","orderNumber":0},"Location":"Head","ParameterType":"String","Required":"REQUIRED","Description":"Client IP"},{"ApiParameterName":"constance","ParameterLocation":{"name":"Head","orderNumber":0},"Location":"Head","ParameterType":"String","Required":"REQUIRED","DefaultValue":"constance","Description":"constance"}]
@NameInMap(value="ServiceParameters") public String serviceParameters
The format of the response from the backend service. Valid values: JSON, TEXT, BINARY, XML, and HTML. This value is used only to generate documents. It does not affect the returned results.
@NameInMap(value="ServiceParametersMap") public String serviceParametersMap
The sample response from the backend service.
@NameInMap(value="SystemParameters") public String systemParameters
The parameters of API requests sent by API Gateway to the backend service.
@NameInMap(value="Visibility") public String visibility
The configuration items of API requests sent by the consumer to API Gateway.
@NameInMap(value="WebSocketApiType") public String webSocketApiType
* Specifies whether to set **ForceNonceCheck** to **true** to force the check of X-Ca-Nonce during the request. This is the unique identifier of the request and is generally identified by UUID. After receiving this parameter, API Gateway verifies the validity of this parameter. The same value can be used only once within 15 minutes. This helps prevent replay attacks.
* If you set **ForceNonceCheck** to **false**, the check is not performed. If you do not set this parameter, the original value is used.
public static ModifyApiRequest build(Map<String,?> map) throws Exception
Exceptionpublic ModifyApiRequest setAllowSignatureMethod(String allowSignatureMethod)
public String getAllowSignatureMethod()
public ModifyApiRequest setApiId(String apiId)
public String getApiId()
public ModifyApiRequest setApiName(String apiName)
public String getApiName()
public ModifyApiRequest setAppCodeAuthType(String appCodeAuthType)
public String getAppCodeAuthType()
public ModifyApiRequest setAuthType(String authType)
public String getAuthType()
public ModifyApiRequest setBackendEnable(Boolean backendEnable)
public Boolean getBackendEnable()
public ModifyApiRequest setBackendId(String backendId)
public String getBackendId()
public ModifyApiRequest setConstantParameters(String constantParameters)
public String getConstantParameters()
public ModifyApiRequest setDescription(String description)
public String getDescription()
public ModifyApiRequest setDisableInternet(Boolean disableInternet)
public Boolean getDisableInternet()
public ModifyApiRequest setErrorCodeSamples(String errorCodeSamples)
public String getErrorCodeSamples()
public ModifyApiRequest setFailResultSample(String failResultSample)
public String getFailResultSample()
public ModifyApiRequest setForceNonceCheck(Boolean forceNonceCheck)
public Boolean getForceNonceCheck()
public ModifyApiRequest setGroupId(String groupId)
public String getGroupId()
public ModifyApiRequest setOpenIdConnectConfig(String openIdConnectConfig)
public String getOpenIdConnectConfig()
public ModifyApiRequest setRequestConfig(String requestConfig)
public String getRequestConfig()
public ModifyApiRequest setRequestParameters(String requestParameters)
public String getRequestParameters()
public ModifyApiRequest setResultBodyModel(String resultBodyModel)
public String getResultBodyModel()
public ModifyApiRequest setResultDescriptions(String resultDescriptions)
public String getResultDescriptions()
public ModifyApiRequest setResultSample(String resultSample)
public String getResultSample()
public ModifyApiRequest setResultType(String resultType)
public String getResultType()
public ModifyApiRequest setSecurityToken(String securityToken)
public String getSecurityToken()
public ModifyApiRequest setServiceConfig(String serviceConfig)
public String getServiceConfig()
public ModifyApiRequest setServiceParameters(String serviceParameters)
public String getServiceParameters()
public ModifyApiRequest setServiceParametersMap(String serviceParametersMap)
public String getServiceParametersMap()
public ModifyApiRequest setSystemParameters(String systemParameters)
public String getSystemParameters()
public ModifyApiRequest setVisibility(String visibility)
public String getVisibility()
public ModifyApiRequest setWebSocketApiType(String webSocketApiType)
public String getWebSocketApiType()
Copyright © 2023. All rights reserved.